Loading...
Searching...
No Matches
BALL::AssignBondOrderProcessor::Default Struct Reference

Default values for options. More...

`#include <BALL/STRUCTURE/assignBondOrderProcessor.h>`

## Static Public Attributes

static const bool | OVERWRITE_SINGLE_BOND_ORDERS
static const bool | OVERWRITE_DOUBLE_BOND_ORDERS
static const bool | OVERWRITE_TRIPLE_BOND_ORDERS
static const bool | OVERWRITE_SELECTED_BONDS
static const bool | ADD_HYDROGENS
static const bool | COMPUTE_ALSO_CONNECTIVITY
static const float | CONNECTIVITY_CUTOFF
static const bool | USE_FINE_PENALTY
static const bool | KEKULIZE_RINGS
static const String | ALGORITHM
static const String | INIFile
static const int | MAX_BOND_ORDER
static const int | MAX_NUMBER_OF_SOLUTIONS
static const int | MAX_PENALTY
static const bool | COMPUTE_ALSO_NON_OPTIMAL_SOLUTIONS
static const float | BOND_LENGTH_WEIGHTING
static const bool | APPLY_FIRST_SOLUTION

## Detailed Description

Default values for options.

Definition at line 229 of file assignBondOrderProcessor.h.

## Member Data Documentation

## ADD_HYDROGENS

const bool BALL::AssignBondOrderProcessor::Default::ADD_HYDROGENS

static

Definition at line 235 of file assignBondOrderProcessor.h.

## ALGORITHM

const String BALL::AssignBondOrderProcessor::Default::ALGORITHM

static

Definition at line 240 of file assignBondOrderProcessor.h.

## APPLY_FIRST_SOLUTION

const bool BALL::AssignBondOrderProcessor::Default::APPLY_FIRST_SOLUTION

static

Definition at line 247 of file assignBondOrderProcessor.h.

## BOND_LENGTH_WEIGHTING

const float BALL::AssignBondOrderProcessor::Default::BOND_LENGTH_WEIGHTING

static

Definition at line 246 of file assignBondOrderProcessor.h.

## COMPUTE_ALSO_CONNECTIVITY

const bool BALL::AssignBondOrderProcessor::Default::COMPUTE_ALSO_CONNECTIVITY

static

Definition at line 236 of file assignBondOrderProcessor.h.

## COMPUTE_ALSO_NON_OPTIMAL_SOLUTIONS

const bool BALL::AssignBondOrderProcessor::Default::COMPUTE_ALSO_NON_OPTIMAL_SOLUTIONS

static

Definition at line 245 of file assignBondOrderProcessor.h.

## CONNECTIVITY_CUTOFF

const float BALL::AssignBondOrderProcessor::Default::CONNECTIVITY_CUTOFF

static

Definition at line 237 of file assignBondOrderProcessor.h.

## INIFile

const String BALL::AssignBondOrderProcessor::Default::INIFile

static

Definition at line 241 of file assignBondOrderProcessor.h.

## KEKULIZE_RINGS

const bool BALL::AssignBondOrderProcessor::Default::KEKULIZE_RINGS

static

Definition at line 239 of file assignBondOrderProcessor.h.

## MAX_BOND_ORDER

const int BALL::AssignBondOrderProcessor::Default::MAX_BOND_ORDER

static

Definition at line 242 of file assignBondOrderProcessor.h.

## MAX_NUMBER_OF_SOLUTIONS

const int BALL::AssignBondOrderProcessor::Default::MAX_NUMBER_OF_SOLUTIONS

static

Definition at line 243 of file assignBondOrderProcessor.h.

## MAX_PENALTY

const int BALL::AssignBondOrderProcessor::Default::MAX_PENALTY

static

Definition at line 244 of file assignBondOrderProcessor.h.

## OVERWRITE_DOUBLE_BOND_ORDERS

const bool BALL::AssignBondOrderProcessor::Default::OVERWRITE_DOUBLE_BOND_ORDERS

static

Definition at line 232 of file assignBondOrderProcessor.h.

## OVERWRITE_SELECTED_BONDS

const bool BALL::AssignBondOrderProcessor::Default::OVERWRITE_SELECTED_BONDS

static

Definition at line 234 of file assignBondOrderProcessor.h.

## OVERWRITE_SINGLE_BOND_ORDERS

const bool BALL::AssignBondOrderProcessor::Default::OVERWRITE_SINGLE_BOND_ORDERS

static

Definition at line 231 of file assignBondOrderProcessor.h.

## OVERWRITE_TRIPLE_BOND_ORDERS

const bool BALL::AssignBondOrderProcessor::Default::OVERWRITE_TRIPLE_BOND_ORDERS

static

Definition at line 233 of file assignBondOrderProcessor.h.

## USE_FINE_PENALTY

const bool BALL::AssignBondOrderProcessor::Default::USE_FINE_PENALTY

static

Definition at line 238 of file assignBondOrderProcessor.h.